## python-marathon 0.9.0

=== Makefile ===
itests:
	tox -e itest-py27
	tox -e itest-py33

test:
	tox -e pep8
	tox -e test-py27
	tox -e test-py33

clean:
	rm -rf dist/ build/

package: clean
	pip install wheel
	python setup.py sdist bdist_wheel

publish: package
	pip install twine
	twine upload dist/*
	github_changelog_generator

.PHONY: itests test clean package publish

## python-marathon 0.8.10

=== debian/changelog ===
python-marathon (0.8.10-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jan 2017 14:10:08 -0500

=== debian/control ===
Source: python-marathon
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-requests
Standards-Version: 3.9.8

Package: python-marathon
Architecture: all
Depends: python-requests, ${python:Depends}, ${misc:Depends}
Suggests: python-python-marathon-doc
Description: Library interface to Mesos marathon Rest API (Python 2)
 Python interface to the Mesos Mararton REST API.
 .
 This package installs the library for Python 2.

Package: python3-marathon
Architecture: all
Depends: python3-requests, ${python3:Depends}, ${misc:Depends}
Suggests: python-python-marathon-doc
Description: Library interface to Mesos marathon Rest API (Python 3)
 Python interface to the Mesos Mararton REST API.
 .
 This package installs the library for Python 3.

Package: python-marathon-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Library interface to Mesos marathon Rest API (common docuemtation)
 Python interface to the Mesos Mararton REST API.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-marathon
export PYBUILD_DISABLE=test
PYVERS  := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)
DESTDIR2 := $(CURDIR)/debian/python-marathon
DESTDIR3 := $(CURDIR)/debian/python3-marathon

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-marathon; \
	done
	set -ex; \
	for pyvers in $(PY3VERS); do \
		$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-marathon; \
	done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/marathon/marathon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-marathon 0.9.0

=== debian/changelog ===
python-marathon (0.9.0-2) unstable; urgency=medium

  * Fixed debian/copyright, as per FTP master comment.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 10:28:29 +0000

python-marathon (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #879449)

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Oct 2017 18:15:28 +0200

=== debian/control ===
Source: python-marathon
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-pytest,
 python-requests,
 python-requests-mock,
 python3-pytest,
 python3-requests,
 python3-requests-mock,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-marathon.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-marathon.git
Homepage: https://github.com/thefactory/marathon-python

Package: python-marathon
Architecture: all
Depends:
 python-requests,
 ${misc:Depends},
 ${python:Depends},
Description: Marathon Client Library - Python 2.7
 This package is a Python library for interfacing with the Marathon server via
 Marathon's REST API.
 .
 This package contains the Python 2.7 module.

Package: python3-marathon
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Marathon Client Library - Python 3.x
 This package is a Python library for interfacing with the Marathon server via
 Marathon's REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/thefactory/marathon.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in 2.7 $(PYTHON3S) ; do \
		PYTHONPATH=. python$$i -m pytest -s -vv tests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-marathon 0.11.0

=== requirements.txt ===
requests==2.11.1

=== debian/changelog ===
python-marathon (0.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:34:13 +0200

python-marathon (0.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests with installed Python module.
  * Add python3-requests-toolbelt as (build-)deps.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 08:48:47 +0100

=== debian/control ===
Source: python-marathon
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-requests,
 python3-requests-mock,
 python3-requests-toolbelt,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-marathon
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-marathon.git
Homepage: https://github.com/thefactory/marathon-python

Package: python3-marathon
Architecture: all
Depends:
 python3-requests,
 python3-requests-toolbelt,
 ${misc:Depends},
 ${python3:Depends},
Description: Marathon Client Library - Python 3.x
 This package is a Python library for interfacing with the Marathon server via
 Marathon's REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/thefactory/marathon-python.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$i -m pytest -s -vv tests ; \
	done
endif

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/marathon/marathon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-marathon 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 itests:
-	tox -e itest-py27
-	tox -e itest-py33
+	tox -e itest-py36
+	tox -e itest-py37
 
 test:
 	tox -e pep8
-	tox -e test-py27
-	tox -e test-py33
+	tox -e test-py36
+	tox -e test-py37
 
 clean:
 	rm -rf dist/ build/

=== debian/changelog ===
python-marathon (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:07:56 +0200

python-marathon (0.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 19:17:19 +0200

## python-marathon 0.13.0

=== Makefile ===
itests: itests-py36 itests-py37

itests-py36:
	tox -e itest-py36

itests-py37:
	tox -e itest-py37

test: test-py36 test-py37

test-py36:
	tox -e pep8
	tox -e test-py36

test-py37:
	tox -e test-py37

clean:
	rm -rf dist/ build/

package: clean
	github_changelog_generator --user=thefactory --project=marathon-python --future-release=0.13.0
	pip install wheel
	python setup.py sdist bdist_wheel

publish: package
	pip install twine
	twine upload dist/*

.PHONY: itests test clean package publish

=== requirements.txt ===
requests==2.20.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../gh-pages

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/marathon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/marathon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/marathon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/marathon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-marathon (0.13.0-7) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090527).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:05:02 +0100

python-marathon (0.13.0-6) unstable; urgency=medium

  * Add py3.12-assertEqual.patch (Closes: #1074710).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jul 2024 09:54:15 +0200

python-marathon (0.13.0-5) unstable; urgency=medium

  * Cleans properly (Closes: #1045153).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 18:20:14 +0200

python-marathon (0.13.0-4) unstable; urgency=medium

  * Add iterable-import-from-collections.abc.patch (Closes: #1009460).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 May 2022 12:09:46 +0200

python-marathon (0.13.0-3) unstable; urgency=medium

  * Add remove-the-use-of-2to3.patch (Closes: #997524).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Nov 2021 10:34:19 +0100

python-marathon (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:35:43 +0200

python-marathon (0.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:38:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,7 +15,7 @@
  python3-requests,
  python3-requests-mock,
  python3-requests-toolbelt,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-marathon
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-marathon.git
 Homepage: https://github.com/thefactory/marathon-python

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build
+	rm -rf .pytest_cache
+	find .  -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."
